<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="https://www.thymeleaf.org/thymeleaf-extras-springsecurity5">
<head>
    <title th:text="${movie.title}"></title>
    <!-- for-mobile-apps -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <meta name="keywords" content="One Movies Responsive web template, Bootstrap Web Templates, Flat Web Templates, Android Compatible web template,
Smartphone Compatible web template, free webdesigns for Nokia, Samsung, LG, SonyEricsson, Motorola web design"/>
    <script type="application/x-javascript"> addEventListener("load", function() { setTimeout(hideURLbar, 0); }, false);
		function hideURLbar(){ window.scrollTo(0,1); }

    </script>
    <!-- //for-mobile-apps -->
    <link href="/css/bootstrap.css" rel="stylesheet" type="text/css" media="all"/>
    <link href="/css/style.css" rel="stylesheet" type="text/css" media="all"/>
    <link rel="stylesheet" href="/css/contactstyle.css" type="text/css" media="all"/>
    <link rel="stylesheet" href="/css/faqstyle.css" type="text/css" media="all"/>
    <link href="/css/single.css" rel='stylesheet' type='text/css'/>
    <link href="/css/medile.css" rel='stylesheet' type='text/css'/>
    <!-- banner-slider -->
    <link href="/css/jquery.slidey.min.css" rel="stylesheet">
    <!-- //banner-slider -->
    <!-- pop-up -->
    <link href="/css/popuo-box.css" rel="stylesheet" type="text/css" media="all"/>
    <!-- //pop-up -->
    <!-- font-awesome icons -->
    <link rel="stylesheet" href="/css/font-awesome.min.css"/>
    <!-- //font-awesome icons -->
    <!-- js -->
    <script type="text/javascript" src="/js/jquery-2.1.4.min.js"></script>
    <!-- //js -->
    <!-- banner-bottom-plugin -->
    <link href="/css/owl.carousel.css" rel="stylesheet" type="text/css" media="all">
    <script src="/js/owl.carousel.js"></script>
    <script>
	$(document).ready(function() {
		$("#owl-demo").owlCarousel({

		  autoPlay: 3000, //Set AutoPlay to 3 seconds

		  items : 5,
		  itemsDesktop : [640,4],
		  itemsDesktopSmall : [414,3]

		});

	});


    </script>
    <!-- //banner-bottom-plugin -->
    <link href='//fonts.googleapis.com/css?family=Roboto+Condensed:400,700italic,700,400italic,300italic,300'
          rel='stylesheet' type='text/css'>
    <script type="text/javascript" src="/js/movie/comment.js"></script>
    <!-- start-smoth-scrolling -->
    <script type="text/javascript" src="/js/move-top.js"></script>
    <script type="text/javascript" src="/js/easing.js"></script>
    <script type="text/javascript">
	jQuery(document).ready(function($) {
		$(".scroll").click(function(event){
			event.preventDefault();
			$('html,body').animate({scrollTop:$(this.hash).offset().top},1000);
		});
	});
    </script>
    <script type="text/javascript" src="/js/movie/review.js"></script>
    <!-- start-smoth-scrolling -->
</head>

<body>
<!-- header -->
<div class="header">
    <div class="container">
        <!-- <div class="w3layouts_logo">
            <a href="index.html"><h1>One<span>Movies</span></h1></a>
        </div> -->
        <div class="w3_search">
            <form action="#" method="post">
                <input type="text" name="Search" placeholder="Search" required="">
                <input type="submit" value="Go">
            </form>
        </div>
        <div class="w3l_sign_in_register" sec:authorize="isAnonymous()">
            <ul>
                <li><a href="#" data-toggle="modal" data-target="#myModal">Login</a></li>
            </ul>
        </div>
        <div class="w3l_sign_in_register" sec:authorize="isAuthenticated()">
            <ul>
                <li><a th:href="@{/logout}">Logout</a></li>
            </ul>
        </div>
        <div class="clearfix"></div>
    </div>
</div>
<!-- //header -->
<!-- bootstrap-pop-up -->
<div class="modal video-modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModal">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                Sign In & Sign Up
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span>
                </button>
            </div>
            <section>
                <div class="modal-body">
                    <div class="w3_login_module">
                        <div class="module form-module">
                            <div class="toggle"><i class="fa fa-times fa-pencil"></i>
                                <div class="tooltip">Click Me</div>
                            </div>
                            <div class="form">
                                <h3>Login to your account</h3>
                                <form  th:action="@{/login}" method="POST" >
                                    <input name="username" type="text" placeholder="Username" required>
                                    <input name="password"  type="password" placeholder="Password" required>
                                    <input type="submit" value="Login">
                                </form>
                            </div>
                            <div class="form">
                                <h3>Create an account</h3>
                                <form th:action="@{/createUser}" method="POST">
                                    <input name="name"  type="text" placeholder="Fullname" required>
                                    <input name="username" type="text" placeholder="Username" required>
                                    <input name="email" type="text" placeholder="Email" required>
                                    <input type="password" name="password" placeholder="Password" required>
                                    <input name="passwordConfirm" type="password" placeholder="Password Confirm" required>

                                    <input type="submit" value="Register">
                                </form>
                            </div>
                            <div class="cta"><a href="#">Forgot your password?</a></div>
                        </div>
                    </div>
                </div>
            </section>
        </div>
    </div>
</div>
<script>
		$('.toggle').click(function(){
		  // Switches the Icon
		  $(this).children('i').toggleClass('fa-pencil');
		  // Switches the forms
		  $('.form').animate({
			height: "toggle",
			'padding-top': 'toggle',
			'padding-bottom': 'toggle',
			opacity: "toggle"
		  }, "slow");
		});


</script>
<!-- //bootstrap-pop-up -->
<!-- nav -->
<div class="movies_nav">
    <div class="container">
        <nav class="navbar navbar-default" style="padding-top: 0px; padding-bottom: 0px;">
            <div class="navbar-header navbar-left">
                <button type="button" class="navbar-toggle collapsed" data-toggle="collapse"
                        data-target="#bs-example-navbar-collapse-1">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
            </div>
            <!-- Collect the nav links, forms, and other content for toggling -->
            <div class="collapse navbar-collapse navbar-right" id="bs-example-navbar-collapse-1">
                <nav>
                    <ul class="nav navbar-nav" style="flex-direction:row;">
                        <li class="active"><a href="/">Home</a></li>
                        <li><a href="/artikels">Article</a></li>
                    </ul>
                </nav>
            </div>
        </nav>
    </div>
</div>
<!-- //nav -->
<!-- general -->
<div class="general">
    <div class="container" style="margin: auto ">
        <h1 th:text="${movie.title}"></h1>
        <h1 th:text="${movie.year}"></h1>
        <a href="#"><i class="fa fa-star" th:text="${movie.rating}" aria-hidden="true"  id="ratingmovie"></i></a>
        <img th:src="@{${movie.url}}" class="center-block" alt=""/>
        <p th:text="${movie.description}"
           style="margin-top: 20px; font-size: 20px; text-align: justify; text-justify: inter-word;"></p>


        
        
        <div class="row">
            <div class="col-sm-6">
                <div class="panel" sec:authorize="isAuthenticated()">
                    <div class="panel-body">
                        <h5 class="panel-title" style="color: black">Tulis Review Anda</h5>
                        <form id ="reviewform" th:action="@{/createreview}" method="POST">
                            <div class="form-group">
                                <label style="color: black">Nilai Film (dari skala 0 sampai 10)</label>
                                <input id="nilai" type="number" name="nilai" min="0" max="10" step="0.1" class="form-control" required>
                                <label style="color: black">Masukkan komentar anda mengenai film tersebut</label>
                                <input id="komen" type="text" class="form-control" name="komen" placeholder="Silahkan tulis komentar anda"
                                       required>
                                <input id="idmovie" type="hidden" name="idmovie" th:value="${movie.idMovie}">
                            </div>
                            <button type="submit" class="btn btn-primary btn-block">Submit</button>
                        </form>

                    </div>
                </div>
            </div>

            <div class="col-sm-6">
                 <div class="panel" sec:authorize="isAuthenticated()">
                <!-- form untuk submit comment pertama -->
                <div class="card">

                    <div class="card-body">
                        <h5 class="card-title">Tulis Komentar Anda</h5>
                        <form th:action="@{/createparentComment}" method="POST">
                            <div class="form-group">
                                <label>Masukkan komentar anda mengenai film tersebut</label>
                                <input type="text" class="form-control" name="komen" placeholder="Silahkan tulis komentar anda"
                                    required>
                                <input type="hidden" name="idmovie" th:value="${movie.idMovie}">
                            </div>
                            <button type="submit" class="btn btn-primary btn-block">Submit</button>
                        </form>
                    </div>
                </div>
                </div>
            </div>
        </div>




        <div class= "row">
            <div class="col-sm-6">
                <!--card review nanti make for each-->
                <div id="kumpulanreview">
        <div th:each="review: ${reviews}">
            <div class="col-sm-12">
                <div class="my-4">
                    <div class="card">
                        <div class="card-body">

                            <div class="media-left">
                                <a href="#">
                                    <img src="/images/user.jpg" title="One movies" alt=" "/>
                                </a>
                            </div>
                            <div class="media-body">

                                <div id="username">
                                    
                                </div>
                                <h5 class="card-title" th:text="${review.username}" style="color: black"></h5>
                                <a href="#"><i class="fa fa-star" th:text="${review.nilai}" aria-hidden="true"></i></a>
                                <p class="card-text" th:text="${review.komen}" style="color: black"></p>
                                <br>
                                <p th:text="${review.tanggalPost}" style="text-align:right;"></p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            </div>
        </div>
            </div>
            <div class="col-sm-6">
                <!--card comment nanti make for each-->
        
        <div th:each="parentComment: ${parentComments}">
            <div class="col-sm-12">
                <div class="my-4">
                    <div class="card">
                        <div class="card-body">
                            <div class="media-left">
                                <a href="#">
                                    <img src="/images/user.jpg" title="One movies" alt=" "/>
                                </a>
                            </div>
                            <div class="media-body">
                                <h5 class="card-title" th:text="${parentComment.username}"></h5>
                                <p class="card-text" th:text="${parentComment.komen}"></p>
                                <br>
                                <p th:text="${parentComment.tanggalPost}" style="text-align:right;"></p>
                                <!-- link menuju pembuatan child comment baru -->
                                
                                <!-- comment input section-->
                                <div class="panel" sec:authorize="isAuthenticated()">
                                <form id="childcommentform" th:action="@{/createchildComment}" method="POST">
                                    <div class="form-group">
                                        <input id="komenchild" type="text" class="form-control" name="komen" placeholder="Balas komentar">
                                        <input id="idparentcomment" type="hidden" name="idParentComment" th:value="${parentComment.idParentComment}">
                                
                                    </div>
                                    <button type="submit" class="btn btn-primary btn-block">Submit</button>
                                </form>
                            </div>
                                <div th:id="${parentComment.idParentComment+'kumpulanchildcomment'}" >
                                <div th:each="childComment: ${childComments}">
                                <!-- jika parent comment id child comment sama dengan parent comment id, maka akan ditulis komen nya  -->
                                    <span th:if="${childComment.parentComment == parentComment}">
                                        
                                        <p th:text="${childComment.komen}"></p>
                                    
                                    </span>
                                    <span th:unless="${childComment.parentComment == parentComment.idParentComment}"></span>
                                </div>
                            </div>
                            </div>

                        </div>
                        
                    </div>
                </div>
            </div>
            
        </div>
    </div>
            </div>
        </div>
        

        

    </div>
</div>

<!-- footer -->
<div class="footer">
    <div class="container">
        <div class="col-md-5 w3ls_footer_grid1_left">
            <p>&copy; 2021 MovieDB Adpro B4</p>
        </div>
        <div class="col-md-7 w3ls_footer_grid1_right">
            <ul>
                <li>
                    <a href="#">Movies</a>
                </li>
                <li>
                    <a href="#">FAQ</a>
                </li>
                <li>
                    <a href="#">Action</a>
                </li>
                <li>
                    <a href="#">Adventure</a>
                </li>
                <li>
                    <a href="#">Comedy</a>
                </li>
                <li>
                    <a href="#">Icons</a>
                </li>
                <li>
                    <a href="#">Contact Us</a>
                </li>
            </ul>
        </div>
        <div class="clearfix"></div>
    </div>
</div>
<!-- //footer -->
<!-- Bootstrap Core JavaScript -->
<script src="/js/bootstrap.min.js"></script>
<script>
$(document).ready(function(){
    $(".dropdown").hover(
        function() {
            $('.dropdown-menu', this).stop( true, true ).slideDown("fast");
            $(this).toggleClass('open');
        },
        function() {
            $('.dropdown-menu', this).stop( true, true ).slideUp("fast");
            $(this).toggleClass('open');
        }
    );
});


</script>
<!-- //Bootstrap Core JavaScript -->
<!-- here stars scrolling icon -->
<script type="text/javascript">
		$(document).ready(function() {
			/*
				var defaults = {
				containerID: 'toTop', // fading element id
				containerHoverID: 'toTopHover', // fading element hover id
				scrollSpeed: 1200,
				easingType: 'linear'
				};
			*/

			$().UItoTop({ easingType: 'easeOutQuart' });

			});


</script>
<!-- //here ends scrolling icon -->
</body>
</html>